using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Pas.ScadaService
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Start();
            Application.Run();
        }

        private static void Start()
        {
            try
            {
                StartUp.Start();
                Console.WriteLine("启动成功");
            }
            catch (Exception e)
            {
                Console.WriteLine("出现异常3秒后自动重启,异常信息:"+e);
                Thread.Sleep(3000);
                Start();
            }
        }
       
    }
}
